import 'package:flutter/material.dart';

void main() {
  runApp(TestApplication());
}

class TestApplication extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Test Application',
      theme: ThemeData(
        primarySwatch: Colors.blue,
      ),
      home: MainPage(),
    );
  }
}

class MainPage extends StatefulWidget {
  @override
  _MainPageState createState() => _MainPageState();
}

class _MainPageState extends State<MainPage> {
  String _dialogResult = '';

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text('Test Application'),
      ),
      body: Center(
        child: Column(
          mainAxisAlignment: MainAxisAlignment.center,
          children: <Widget>[
            RaisedButton(
              child: Text('Run'),
              color: Colors.blue,
              textColor: Colors.white,
              onPressed: () async {
                String result = await showDialog(
                    context: context,
                    barrierDismissible: false,
                    builder: (BuildContext context) {
                      return AlertDialog(
                        title: Row(
                          children: <Widget>[
                            Icon(Icons.notifications),
                            Text('확인'),
                          ],
                        ),
                        content: Text('작업을 진행하시겠습니까?'),
                        actions: <Widget>[
                          FlatButton(
                            child: Text('예'),
                            onPressed: () {
                              Navigator.of(context).pop('YES');
                            },
                          ),
                          FlatButton(
                            child: Text('아니오'),
                            onPressed: () {
                              Navigator.of(context).pop('NO');
                            },
                          ),
                        ],
                      );
                    });

                setState(() {
                  _dialogResult = result;
                });
              },
            ),
            Text(
              '결과 : $_dialogResult',
            ),
          ],
        ),
      ),
    );
  }
}